# Introduction

## 1. Start Verification Request

There two ways to start a verification request for an applicant

* &#x20;For an imbedded experience, create a new verification via the API with `send_to_applicant` field set to false. Add the returned `verification_url` to your Numaly widget below. This creates an interactive popup when clicked, allowing your users to complete a verification without leaving your application. You may also simply just use your unique link in place of the verification\_url to avoid calling the API . See a demo integration here <https://www.numaly.com/integration-demo>

```
<link href="https://numaly.s3-ap-southeast-2.amazonaws.com/assets/css/numaly-widget.css" rel="stylesheet">
<script src="https://numaly.s3-ap-southeast-2.amazonaws.com/assets/js/numaly-widget.js" type="text/javascript" async></script>
<button onclick="Numaly.initPopupWidget({url: '<verification-url>'});return false;">
    Verify Income
</button>
```

* Alternatively you can trigger a verification request to be sent to an applicants via email/sms by creating a verification via the API with the  `send_to_applicant` set to true.&#x20;

*To customize the verification experience go to* [*https://www.numaly.com/integrations*](https://www.numaly.com/integrations)

## 2. Retrieve Report

Use the id returned from the first step to track the status, retrieve the report data and a link to a pdf file of the report.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.numaly.com/master.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
